SHA256
3
0
forked from pool/texinfo
OBS User unknown 2008-06-23 23:30:40 +00:00 committed by Git OBS Bridge
parent 40141f578c
commit a811307053
10 changed files with 416 additions and 961 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:b96d2f558182be272669a0e8f50f533d48d3315052bbd7915133f91acc91daca
size 71139

123
install-info.diff Normal file
View File

@ -0,0 +1,123 @@
Index: install-info/install-info.c
===================================================================
RCS file: /sources/texinfo/texinfo/install-info/install-info.c,v
retrieving revision 1.10
retrieving revision 1.13
diff -u -a -p -u -p -a -r1.10 -r1.13
--- install-info/install-info.c 19 Apr 2008 17:03:14 -0000 1.10
+++ install-info/install-info.c 18 May 2008 16:54:02 -0000 1.13
@@ -1,5 +1,5 @@
/* install-info -- create Info directory entry(ies) for an Info file.
- $Id: install-info.c,v 1.10 2008/04/19 17:03:14 karl Exp $
+ $Id: install-info.c,v 1.13 2008/05/18 16:54:02 karl Exp $
Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
2005, 2007, 2008 Free Software Foundation, Inc.
@@ -1445,19 +1445,27 @@ format_entry (char *name, size_t name_le
free'd.
*/
static void
-split_entry (char *entry, char **name, size_t *name_len, char **description, size_t *description_len)
+split_entry (const char *entry, char **name, size_t *name_len,
+ char **description, size_t *description_len)
{
char *endptr;
- /* on the first line, the description starts after the first period. */
+ /* on the first line, the description starts after the first ". ";
+ that's a period and space -- our heuristic to handle item names like
+ "config.status", and node names like "config.status Invocation".
+ Also accept period-tab and period-newline. */
char *ptr = strchr (entry, '.');
+ while (ptr && ptr[1] != ' ' && ptr[1] != '\t' && ptr[1] != '\n') {
+ ptr = strchr (ptr + 1, '.');
+ }
+
/* Maybe there's no period, and no description */
if (!ptr)
{
size_t length = strlen (entry);
if (length == 0)
return;
- *name = strdup (ptr);
+ *name = strdup (entry);
*name_len = length + 1;
return;
}
@@ -1474,7 +1482,6 @@ split_entry (char *entry, char **name, s
while (ptr[0] != '\0')
{
-
/* Eat up the whitespace after the name, and at the start of a line. */
while (isspace(ptr[0]))
ptr++;
@@ -1598,14 +1605,14 @@ add_missing_basenames (struct spec_entry
/* Insert NAME into the right place in ENTRY->TEXT. */
char *info, *rest, *text;
size_t name_len = strlen (name);
- char *ptr = strstr (entry->text, ": ().");
+ char *ptr = strstr (entry->text, ": (). ");
if (!ptr)
return;
ptr[0] = '\0';
- rest = ptr += sizeof (": ().");
+ rest = ptr += strlen (": (). ");
- info = xmalloc (name_len + 6);
- snprintf (info, name_len + 6, ": (%s).", name);
+ info = xmalloc (name_len + 7);
+ snprintf (info, name_len + 7, ": (%s). ", name);
text = concat (entry->text, info, rest);
free (info);
if (entry->text)
@@ -1672,8 +1679,8 @@ add_missing_descriptions (struct spec_en
{
char *text;
int add_nl = 1;
- if (entry->text)
- if (entry->text[entry->text_len - 1] == '\n')
+ if (strlen (desc) > 1)
+ if (desc[strlen (desc) - 1] == '\n')
add_nl = 0;
/* Append DESC onto ENTRY->TEXT. */
text = concat (entry->text == NULL ? "" : entry->text, desc,
@@ -1910,8 +1917,11 @@ main (int argc, char *argv[])
nl[0] = '\0';
}
/* Concat the description onto the current entry, adding a
- newline if we need one. */
- next->text = concat (next->text == NULL ? "" : next->text, optarg,
+ newline if we need one. Prepend a space if we have no
+ previous text, since eventually we will be adding the
+ "* foo ()." and we want to end up with a ". " for parsing. */
+ next->text = concat (next->text ? next->text : " ",
+ optarg,
optarg[length - 1] == '\n' ? "" : "\n");
next->text_len = strlen (next->text);
}
@@ -1958,20 +1968,20 @@ main (int argc, char *argv[])
size_t length;
if (optarg[0] != '*')
{
- /* Make enough space for "* foo: ().\n". */
+ /* Make enough space for "* foo: (). ". */
length = strlen (optarg) + 9;
next->text = xmalloc (length);
- snprintf (next->text, length, "* %s: ().\n", optarg);
+ snprintf (next->text, length, "* %s: (). ", optarg);
next->missing_basename = 1;
/* The basename will be inserted in between the parentheses
at a later time. See add_missing_basenames. */
}
else
{
- /* Make enough space for "foo\n". */
+ /* Make enough space for "foo ". */
length = strlen (optarg) + 2;
next->text = xmalloc (length);
- snprintf (next->text, length, "%s\n", optarg);
+ snprintf (next->text, length, "%s ", optarg);
next->missing_basename = 0;
/* FIXME: check for info entry correctness in TEXT.
e.g. `* Aaa: (bbb).' */

View File

@ -1,809 +0,0 @@
--- config.in
+++ config.in 2008-03-10 13:01:00.285448994 +0100
@@ -328,6 +328,9 @@
/* Define if you have the 'wint_t' type. */
#undef HAVE_WINT_T
+/* Define to 1 if you have libzio for opening compressed info files */
+#undef HAVE_ZIO
+
/* Define to 1 if you have the `_ftime' function. */
#undef HAVE__FTIME
--- configure
+++ configure 2008-03-10 12:59:04.926680264 +0100
@@ -13528,6 +13528,653 @@ cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_WCWIDTH 1
_ACEOF
+#
+# Check for zlib and libbz2 libraries to use this together
+# with SuSE's libzio to open compressed info files.
+#
+if test "${ac_cv_header_zlib_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for zlib.h" >&5
+echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
+if test "${ac_cv_header_zlib_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
+echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking zlib.h usability" >&5
+echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <zlib.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking zlib.h presence" >&5
+echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <zlib.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: zlib.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: zlib.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## -------------------------------------- ##
+## Report this to the GNU Texinfo lists. ##
+## -------------------------------------- ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for zlib.h" >&5
+echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
+if test "${ac_cv_header_zlib_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_zlib_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
+echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
+
+fi
+if test $ac_cv_header_zlib_h = yes; then
+
+ for lib in z gz
+ do
+ as_ac_Lib=`echo "ac_cv_lib_$lib''_gzopen" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for gzopen in -l$lib" >&5
+echo $ECHO_N "checking for gzopen in -l$lib... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-l$lib $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char gzopen ();
+int
+main ()
+{
+gzopen ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Lib=yes"
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Lib=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+ LIBS="$LIBS -l$lib" ; break
+fi
+
+ done
+fi
+
+
+if test "${ac_cv_header_bzlib_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for bzlib.h" >&5
+echo $ECHO_N "checking for bzlib.h... $ECHO_C" >&6
+if test "${ac_cv_header_bzlib_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_bzlib_h" >&5
+echo "${ECHO_T}$ac_cv_header_bzlib_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking bzlib.h usability" >&5
+echo $ECHO_N "checking bzlib.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <bzlib.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking bzlib.h presence" >&5
+echo $ECHO_N "checking bzlib.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <bzlib.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: bzlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: bzlib.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: bzlib.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: bzlib.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: bzlib.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: bzlib.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: bzlib.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: bzlib.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: bzlib.h: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## -------------------------------------- ##
+## Report this to the GNU Texinfo lists. ##
+## -------------------------------------- ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for bzlib.h" >&5
+echo $ECHO_N "checking for bzlib.h... $ECHO_C" >&6
+if test "${ac_cv_header_bzlib_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_bzlib_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_bzlib_h" >&5
+echo "${ECHO_T}$ac_cv_header_bzlib_h" >&6
+
+fi
+if test $ac_cv_header_bzlib_h = yes; then
+
+ for lib in bz2 bzip2
+ do
+ as_ac_Lib=`echo "ac_cv_lib_$lib''_BZ2_bzopen" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for BZ2_bzopen in -l$lib" >&5
+echo $ECHO_N "checking for BZ2_bzopen in -l$lib... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-l$lib $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char BZ2_bzopen ();
+int
+main ()
+{
+BZ2_bzopen ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Lib=yes"
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Lib=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+ LIBS="$LIBS -l$lib" ; break
+fi
+
+ done
+fi
+
+
+if test "${ac_cv_header_zio_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for zio.h" >&5
+echo $ECHO_N "checking for zio.h... $ECHO_C" >&6
+if test "${ac_cv_header_zio_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_zio_h" >&5
+echo "${ECHO_T}$ac_cv_header_zio_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking zio.h usability" >&5
+echo $ECHO_N "checking zio.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <zio.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking zio.h presence" >&5
+echo $ECHO_N "checking zio.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <zio.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: zio.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: zio.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: zio.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: zio.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: zio.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: zio.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: zio.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: zio.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: zio.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: zio.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: zio.h: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## -------------------------------------- ##
+## Report this to the GNU Texinfo lists. ##
+## -------------------------------------- ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for zio.h" >&5
+echo $ECHO_N "checking for zio.h... $ECHO_C" >&6
+if test "${ac_cv_header_zio_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_zio_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_zio_h" >&5
+echo "${ECHO_T}$ac_cv_header_zio_h" >&6
+
+fi
+if test $ac_cv_header_zio_h = yes; then
+
+ echo "$as_me:$LINENO: checking for fzopen in -lzio" >&5
+echo $ECHO_N "checking for fzopen in -lzio... $ECHO_C" >&6
+if test "${ac_cv_lib_zio_fzopen+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lzio $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char fzopen ();
+int
+main ()
+{
+fzopen ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_zio_fzopen=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_zio_fzopen=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_zio_fzopen" >&5
+echo "${ECHO_T}$ac_cv_lib_zio_fzopen" >&6
+if test $ac_cv_lib_zio_fzopen = yes; then
+ LIBS="$LIBS -lzio" ; cat >>confdefs.h <<\_ACEOF
+#define HAVE_ZIO 1
+_ACEOF
+
+fi
+
+
+fi
+
+
+
else
cat >>confdefs.h <<_ACEOF
--- configure.ac
+++ configure.ac 2008-03-10 12:59:04.926680264 +0100
@@ -221,6 +221,24 @@ AC_CONFIG_FILES([util/defs])
AC_CHECK_PROGS([HEVEA], [hevea], [])
AC_CHECK_PROGS([TEX], [tex], [])
+#
+# Check for zlib and libbz2 libraries to use this together
+# with SuSE's libzio to open compressed info files.
+#
+AC_CHECK_HEADER(zlib.h,[
+ for lib in z gz
+ do
+ AC_CHECK_LIB($lib, gzopen, [LIBS="$LIBS -l$lib" ; break])
+ done])
+AC_CHECK_HEADER(bzlib.h,[
+ for lib in bz2 bzip2
+ do
+ AC_CHECK_LIB($lib, BZ2_bzopen, [LIBS="$LIBS -l$lib" ; break])
+ done])
+AC_CHECK_HEADER(zio.h,[
+ AC_CHECK_LIB(zio, fzopen, [LIBS="$LIBS -lzio" ; AC_DEFINE(HAVE_ZIO)])
+ ])
+
AC_CONFIG_FILES([
Makefile
doc/Makefile
--- util/install-info.c
+++ util/install-info.c 2008-03-10 14:52:25.546733145 +0000
@@ -20,6 +20,9 @@
#include "system.h"
#include <getopt.h>
#include <regex.h>
+#ifdef HAVE_ZIO
+# include <zio.h>
+#endif
static char *progname = "install-info";
@@ -576,15 +579,47 @@
*opened_filename = filename;
f = fopen (*opened_filename, FOPEN_RBIN);
+#ifdef HAVE_ZIO
+ if (!compression_program)
+ compression_program = &local_compression_program;
+ *compression_program = NULL;
+ if (f)
+ {
+ nread = fread (data, sizeof (data), 1, f);
+ if (nread == 1)
+ {
+ if (data[0] == '\x1f' && data[1] == '\x8b')
+ *compression_program = "g";
+ else if(data[0] == '\x1f' && data[1] == '\x9d')
+ *compression_program = "Z";
+ else if(data[0] == '\x1f' && data[1] == '\x9e')
+ *compression_program = "z";
+ else if(data[0] == 'B' && data[1] == 'Z' && data[2] == 'h')
+ *compression_program = "b";
+ }
+ fclose(f);
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+ }
+#endif
if (!f)
{
*opened_filename = concat (filename, ".gz", "");
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+ *compression_program = "g";
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+#endif
if (!f)
{
free (*opened_filename);
*opened_filename = concat (filename, ".bz2", "");
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+ *compression_program = "b";
+#endif
}
#ifdef __MSDOS__
@@ -610,7 +645,11 @@
/* And try opening it again. */
free (*opened_filename);
*opened_filename = filename;
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+#endif
if (!f)
pfatal_with_name (filename);
}
@@ -618,7 +657,7 @@
pfatal_with_name (filename);
}
}
-
+#ifndef HAVE_ZIO
/* Read first few bytes of file rather than relying on the filename.
If the file is shorter than this it can't be usable anyway. */
nread = fread (data, sizeof (data), 1, f);
@@ -679,7 +718,7 @@
#endif
*is_pipe = 0;
}
-
+#endif /* !HAVE_ZIO */
return f;
}
@@ -752,11 +791,23 @@
int i;
FILE *output;
+#ifndef HAVE_ZIO
if (compression_program)
{
char *command = concat (compression_program, ">", dirfile);
output = popen (command, "w");
}
+#else
+ if (compression_program)
+ {
+ if (*compression_program == 'g' || *compression_program == 'z')
+ output = fzopen (dirfile, "wg");
+ if (*compression_program == 'b')
+ output = fzopen (dirfile, "wb");
+ if (*compression_program == 'Z')
+ output = fzopen (dirfile, "wZ");
+ }
+#endif
else
output = fopen (dirfile, "w");

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:61033d48778ac7a6c80ac7cee66ca962fc4a1565fad13759618916f7f292f5f7
size 1659601

155
texinfo-4.12-zlib.patch Normal file
View File

@ -0,0 +1,155 @@
--- configure.ac
+++ configure.ac
@@ -224,6 +224,26 @@ AC_CONFIG_FILES([util/defs])
AC_CHECK_PROGS([HEVEA], [hevea], [])
AC_CHECK_PROGS([TEX], [tex], [])
+#
+# Check for zlib and libbz2 libraries to use this together
+# with SuSE's libzio to open compressed info files.
+#
+AC_CHECK_HEADER(zlib.h,[
+ for lib in z gz
+ do
+ AC_CHECK_LIB($lib, gzopen, [LIBS="$LIBS -l$lib" ; break])
+ done])
+AC_CHECK_HEADER(bzlib.h,[
+ for lib in bz2 bzip2
+ do
+ AC_CHECK_LIB($lib, BZ2_bzopen, [LIBS="$LIBS -l$lib" ; break])
+ done])
+AC_CHECK_HEADER(zio.h,[
+ AC_CHECK_LIB(zio, fzopen, [LIBS="$LIBS -lzio"
+ AC_DEFINE(HAVE_ZIO, [],
+ [Define to 1 if you have libzio for opening compressed info files.])])
+ ])
+
AC_CONFIG_FILES([
Makefile
doc/Makefile
--- install-info/install-info.c
+++ install-info/install-info.c
@@ -21,6 +21,9 @@
#include <getopt.h>
#include <regex.h>
#include <argz.h>
+#ifdef HAVE_ZIO
+# include <zio.h>
+#endif
#define TAB_WIDTH 8
@@ -655,15 +658,47 @@ open_possibly_compressed_file (char *fil
*opened_filename = filename;
f = fopen (*opened_filename, FOPEN_RBIN);
+#ifdef HAVE_ZIO
+ if (!compression_program)
+ compression_program = &local_compression_program;
+ *compression_program = NULL;
+ if (f)
+ {
+ nread = fread (data, sizeof (data), 1, f);
+ if (nread == 1)
+ {
+ if (data[0] == '\x1f' && data[1] == '\x8b')
+ *compression_program = "g";
+ else if (data[0] == '\x1f' && data[1] == '\x9d')
+ *compression_program = "Z";
+ else if (data[0] == '\x1f' && data[1] == '\x9e')
+ *compression_program = "z";
+ else if (data[0] == 'B' && data[1] == 'Z' && data[2] == 'h')
+ *compression_program = "b";
+ }
+ fclose (f);
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+ }
+#endif
if (!f)
{
*opened_filename = concat (filename, ".gz", "");
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+ *compression_program = "g";
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+#endif
if (!f)
{
free (*opened_filename);
*opened_filename = concat (filename, ".bz2", "");
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+ *compression_program = "b";
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+#endif
}
if (!f)
{
@@ -695,7 +730,11 @@ open_possibly_compressed_file (char *fil
/* And try opening it again. */
free (*opened_filename);
*opened_filename = filename;
+#ifdef HAVE_ZIO
+ f = fzopen (*opened_filename, FOPEN_RBIN);
+#else
f = fopen (*opened_filename, FOPEN_RBIN);
+#endif
if (!f)
pfatal_with_name (filename);
}
@@ -704,6 +743,7 @@ open_possibly_compressed_file (char *fil
}
}
+#ifndef HAVE_ZIO
/* Read first few bytes of file rather than relying on the filename.
If the file is shorter than this it can't be usable anyway. */
nread = fread (data, sizeof (data), 1, f);
@@ -778,6 +818,9 @@ open_possibly_compressed_file (char *fil
#endif
*is_pipe = 0;
}
+#else
+ *is_pipe = 0;
+#endif /* HAVE_ZIO */
return f;
}
@@ -852,11 +895,23 @@ output_dirfile (char *dirfile, int dir_n
int i;
FILE *output;
+#ifndef HAVE_ZIO
if (compression_program)
{
char *command = concat (compression_program, ">", dirfile);
output = popen (command, "w");
}
+#else
+ if (compression_program)
+ {
+ if (*compression_program == 'g' || *compression_program == 'z')
+ output = fzopen (dirfile, "wg");
+ if (*compression_program == 'b')
+ output = fzopen (dirfile, "wb");
+ if (*compression_program == 'Z')
+ output = fzopen (dirfile, "wZ");
+ }
+#endif
else
output = fopen (dirfile, "w");
@@ -969,9 +1024,11 @@ output_dirfile (char *dirfile, int dir_n
/* Some systems, such as MS-DOS, simulate pipes with temporary files.
On those systems, the compressor actually gets run inside pclose,
so we must call pclose. */
+#ifndef HAVE_ZIO
if (compression_program)
pclose (output);
else
+#endif
fclose (output);
}

View File

@ -1,20 +1,10 @@
--- .pkgextract --- .pkgextract
+++ .pkgextract 2004-04-16 16:07:40.000000000 +0200 +++ .pkgextract
@@ -0,0 +1,2 @@ @@ -0,0 +1,2 @@
+patch -p0 -b --suffix=.zlib < ../texinfo-4.11-zlib.patch +patch -p0 -b --suffix=.zlib < ../texinfo-4.11-zlib.patch
+patch -p0 -b --suffix=.echo < ../texinfo-4.8-echo.patch +patch -p0 -b --suffix=.echo < ../texinfo-4.8-echo.patch
--- system.h
+++ system.h 2008-03-10 16:05:19.737766945 +0100
@@ -39,6 +39,7 @@ extern char *substring (const char *, co
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
+#include <ctype.h>
/* Use POSIX headers. If they are not available, we use the substitute
provided by gnulib. */
--- info/filesys.h --- info/filesys.h
+++ info/filesys.h 2008-03-10 13:56:42.100908000 +0100 +++ info/filesys.h
@@ -78,7 +78,7 @@ extern int is_dir_name (char *filename); @@ -78,7 +78,7 @@ extern int is_dir_name (char *filename);
/* The default value of INFOPATH. */ /* The default value of INFOPATH. */
@ -24,9 +14,20 @@
#endif /* !DEFAULT_INFOPATH */ #endif /* !DEFAULT_INFOPATH */
#if !defined (S_ISREG) && defined (S_IFREG) #if !defined (S_ISREG) && defined (S_IFREG)
--- install-info/install-info.c
+++ install-info/install-info.c
@@ -2243,7 +2243,7 @@ There is NO WARRANTY, to the extent perm
/* Now Read the Info file and parse it into lines, unless we're
removing exactly. */
- if (!remove_exactly)
+ if (!delete_flag)
{
if (debug_flag)
printf ("debug: reading input file %s\n", infile);
--- util/texi2dvi --- util/texi2dvi
+++ util/texi2dvi 2008-03-10 13:58:32.230984000 +0100 +++ util/texi2dvi
@@ -280,25 +280,7 @@ absolute () @@ -291,25 +291,7 @@ absolute ()
# Return true if PROG is somewhere in PATH, else false. # Return true if PROG is somewhere in PATH, else false.
findprog () findprog ()
{ {
@ -53,7 +54,7 @@
} }
# report LINE1 LINE2... # report LINE1 LINE2...
@@ -759,6 +741,11 @@ run_tex () @@ -803,6 +785,11 @@ run_tex ()
*) error 1 "$0: $out_lang not supported for $in_lang";; *) error 1 "$0: $out_lang not supported for $in_lang";;
esac esac
@ -65,7 +66,7 @@
# Beware of aux files in subdirectories that require the # Beware of aux files in subdirectories that require the
# subdirectory to exist. # subdirectory to exist.
case $in_lang:$tidy in case $in_lang:$tidy in
@@ -858,6 +845,11 @@ run_bibtex () @@ -915,6 +902,11 @@ run_bibtex ()
texinfo) return;; texinfo) return;;
esac esac
@ -77,7 +78,7 @@
# "Citation undefined" is for LaTeX, "Undefined citation" for btxmac.tex. # "Citation undefined" is for LaTeX, "Undefined citation" for btxmac.tex.
# The no .aux && \bibdata test is also for btxmac, in case it was the # The no .aux && \bibdata test is also for btxmac, in case it was the
# first run of a bibtex-using document. Otherwise, it's possible that # first run of a bibtex-using document. Otherwise, it's possible that
@@ -1612,7 +1604,7 @@ for command_line_filename in ${1+"$@"}; @@ -1673,7 +1665,7 @@ do
sed 's,/,!,g'` sed 's,/,!,g'`
esac esac
# Remove it at exit if clean mode. # Remove it at exit if clean mode.

3
texinfo-4.12.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:014989d8516376c03a15c7c1691ed8d787ca72a61055b892f6271ec32a550ae1
size 1741502

View File

@ -1,89 +0,0 @@
--- .pkgextract
+++ .pkgextract 2004-04-16 16:07:40.000000000 +0200
@@ -0,0 +1,2 @@
+patch -p0 -b --suffix=.zlib < ../texinfo-4.11-zlib.patch
+patch -p0 -b --suffix=.echo < ../texinfo-4.8-echo.patch
--- info/filesys.h
+++ info/filesys.h 2004-04-16 16:07:40.000000000 +0200
@@ -78,7 +78,7 @@ extern int is_dir_name (char *filename);
/* The default value of INFOPATH. */
#if !defined (DEFAULT_INFOPATH)
-# define DEFAULT_INFOPATH "/usr/local/info:/usr/info:/usr/local/lib/info:/usr/lib/info:/usr/local/gnu/info:/usr/local/gnu/lib/info:/usr/gnu/info:/usr/gnu/lib/info:/opt/gnu/info:/usr/share/info:/usr/share/lib/info:/usr/local/share/info:/usr/local/share/lib/info:/usr/gnu/lib/emacs/info:/usr/local/gnu/lib/emacs/info:/usr/local/lib/emacs/info:/usr/local/emacs/info:."
+# define DEFAULT_INFOPATH "/usr/local/info:/usr/local/lib/info:/usr/share/info:/usr/info:/usr/lib/info:/opt/gnu/info:/usr/share/xemacs/info:."
#endif /* !DEFAULT_INFOPATH */
#if !defined (S_ISREG) && defined (S_IFREG)
--- po/nl.po
+++ po/nl.po 2004-04-16 16:07:41.000000000 +0200
@@ -303,7 +303,7 @@ msgid ""
" info --show-options emacs start at node with emacs' command line options\n"
" info -f ./foo.info show file ./foo.info, not searching dir\n"
msgstr ""
-"Aanroep: %s [OPTIE]... [INFO-BESTAND [MENU-ITEM...]]]\n"
+"Aanroep: %s [OPTIE]... [INFO-BESTAND [MENU-ITEM...]]\n"
"\n"
"Lees documentatie in Info-formaat\n"
"Voor een meer complete omschrijving van het gebruik van Info, type `info "
--- util/texi2dvi
+++ util/texi2dvi 2007-07-11 12:56:14.338449000 +0200
@@ -262,25 +262,7 @@ absolute ()
# Return true if PROG is somewhere in PATH, else false.
findprog ()
{
- local saveIFS=$IFS
- IFS=$path_sep # break path components at the path separator
- for dir in $PATH; do
- IFS=$saveIFS
- # The basic test for an executable is `test -f $f && test -x $f'.
- # (`test -x' is not enough, because it can also be true for directories.)
- # We have to try this both for $1 and $1.exe.
- #
- # Note: On Cygwin and DJGPP, `test -x' also looks for .exe. On Cygwin,
- # also `test -f' has this enhancement, bot not on DJGPP. (Both are
- # design decisions, so there is little chance to make them consistent.)
- # Thusly, it seems to be difficult to make use of these enhancements.
- #
- if { test -f "$dir/$1" && test -x "$dir/$1"; } ||
- { test -f "$dir/$1.exe" && test -x "$dir/$1.exe"; }; then
- return 0
- fi
- done
- return 1
+ type -p $1 > /dev/null 2>&1
}
# report LINE1 LINE2...
@@ -734,6 +716,11 @@ run_tex ()
*) error 1 "$0: $out_lang not supported for $in_lang";;
esac
+ if ! type -p $tex > /dev/null 2>&1 ; then
+ echo "${0##*/}: requires $tex, please install texlive and texlive-latex" 1>&2
+ exit 1
+ fi
+
# Beware of aux files in subdirectories that require the
# subdirectory to exist.
case $in_lang:$tidy in
@@ -833,6 +820,11 @@ run_bibtex ()
texinfo) return;;
esac
+ if ! type -p $bibtex > /dev/null 2>&1 ; then
+ echo "${0##*/}: requires $bibtex, please install texlive and texlive-latex" 1>&2
+ exit 1
+ fi
+
# "Citation undefined" is for LaTeX, "Undefined citation" for btxmac.tex.
# The no .aux && \bibdata test is also for btxmac, in case it was the
# first run of a bibtex-using document. Otherwise, it's possible that
@@ -1579,7 +1571,7 @@ for command_line_filename in ${1+"$@"};
sed 's,/,!,g'`
esac
# Remove it at exit if clean mode.
- trap "cleanup" 0 1 2 15
+ trap "cleanup" 0 1 2 3 7 13 15
ensure_dir "$build_dir" "$t2ddir"

View File

@ -1,3 +1,57 @@
-------------------------------------------------------------------
Sun Jun 15 13:50:57 CEST 2008 - schwab@suse.de
- Update to texinfo 4.12.
* Language:
. new commands @clicksequence, @click, and @clickstyle for documenting
GUI sequences, and @arrow for the default glyph used.
. new commands @geq{} and @leq{} for the normal >= and <= relations.
* install-info:
. lzma compression supported.
. Much work towards compatibility with Debian's independent
implementation. Changes in behavior:
- new entries are formatted to start at column 34 by default.
- existing entries are replaced by default.
- new sections are alphabetized among existing sections.
- if an entry being removed is the last one in a section, the
section is also removed.
. Also many new options:
--section REGEX TITLE.
--no-indent: disable formatting of new entries.
--menuentry, --name: specify left-hand side of an entry.
--dry-run: alias for --test.
--regex REGEX: renamed from --section regex, adds to all sections
matching REGEX by default.
--add-once: add only to first specified or matching section.
--align COL: start description at column COL.
--calign COL: start continuation lines in description at COL.
--max-width COL: wrap the description at COL.
. New section in the Texinfo manual describing all this.
* Info:
Our goal with these changes to the default interface is to make Info
documents more easily and quickly readable, especially by non-experts.
. the PageUp and PageDown keys move through the whole document by
default, instead of just the current node.
. the h command shows the basic help, and H starts the Info tutorial.
. the newly-bound x command deletes the current window, e.g., within help.
. the scroll-step variable is set to 1 by default, for smooth scrolling.
. the cursor-movement-scrolls-p variable is set to 1 by default, so
link searches look through the whole document.
. regular expression searches are supported, and are the default for
both regular and incremental searches.
. the new R command toggles between regexp and literal-string searches.
. the new variable scroll-last-node controls scrolling at the end of
the last node; by default, it now simply reports there are no more
nodes. To restore the old behavior, set scroll-last-node=Scroll.
. the precise line number specified in index entries is used if available.
. --usage=info shows usage for standalone Info.
. lzma compression supported.
* Distribution:
. language support for no removed/renamed to nb, per Norwegian translators.
. new translation: es.
. bug fixes in make check (and elsewhere).
. gettext 0.17, automake 1.10.1, autoconf 2.62.
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Mar 10 13:33:18 CET 2008 - werner@suse.de Mon Mar 10 13:33:18 CET 2008 - werner@suse.de

View File

@ -1,5 +1,5 @@
# #
# spec file for package texinfo (Version 4.11) # spec file for package texinfo (Version 4.12)
# #
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany. # Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine # This file and all modifications and additions to the pristine
@ -8,15 +8,14 @@
# Please submit bugfixes or comments via http://bugs.opensuse.org/ # Please submit bugfixes or comments via http://bugs.opensuse.org/
# #
# norootforbuild
Name: texinfo Name: texinfo
BuildRequires: libbz2-devel libzio-devel ncurses-devel perl-gettext zlib-devel BuildRequires: help2man libbz2-devel libzio-devel ncurses-devel perl-gettext zlib-devel
License: GPL v2 or later; GPL v3 or later License: GPL v2 or later; GPL v3 or later
Group: Productivity/Publishing/Texinfo Group: Productivity/Publishing/Texinfo
AutoReqProv: on AutoReqProv: on
Version: 4.11 Version: 4.12
Release: 1 Release: 1
Summary: Tools Needed to Create Documentation from Texinfo Sources Summary: Tools Needed to Create Documentation from Texinfo Sources
Url: http://www.texinfo.org Url: http://www.texinfo.org
@ -24,7 +23,6 @@ PreReq: %{install_info_prereq}
Source: ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2 Source: ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
Source1: http://download.savannah.nongnu.org/releases/texi2html/texi2html-1.78.tar.bz2 Source1: http://download.savannah.nongnu.org/releases/texi2html/texi2html-1.78.tar.bz2
Source2: http://texinfo.org/texi2roff/texi2roff-2.0.tar.bz2 Source2: http://texinfo.org/texi2roff/texi2roff-2.0.tar.bz2
Source3: http://ftp.gnu.org/gnu/help2man/help2man-1.36.4.tar.bz2
Source10: info-dir Source10: info-dir
Patch: texinfo-%{version}.dif Patch: texinfo-%{version}.dif
Patch1: texi2html-1.78.dif Patch1: texi2html-1.78.dif
@ -33,6 +31,7 @@ Patch3: texi2roff.patch.bz2
Patch4: texinfo-%{version}-zlib.patch Patch4: texinfo-%{version}-zlib.patch
Patch5: texinfo-4.8-echo.patch Patch5: texinfo-4.8-echo.patch
Patch6: texi2roff-2.0-gcc4.patch Patch6: texi2roff-2.0-gcc4.patch
Patch7: install-info.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-build BuildRoot: %{_tmppath}/%{name}-%{version}-build
%description %description
@ -62,6 +61,7 @@ Authors:
Roland McGrath <roland@gnu.org> Roland McGrath <roland@gnu.org>
%package -n info %package -n info
License: GPL v2 or later
Summary: A Stand-Alone Terminal-Based Info Browser Summary: A Stand-Alone Terminal-Based Info Browser
Group: Productivity/Publishing/Texinfo Group: Productivity/Publishing/Texinfo
PreReq: bash zlib libzio PreReq: bash zlib libzio
@ -92,12 +92,11 @@ Authors:
%prep %prep
rm -rf texi2html-1.78 texi2roff-2.0 rm -rf texi2html-1.78 texi2roff-2.0
%setup -b 1 -b 2 -b 3 %setup -q -b 1 -b 2
%patch4 -p0 -b .zlib %patch4 -p0 -b .zlib
%patch5 -p0 -b .echo %patch5 -p0 -b .echo
%patch7
%patch0 -p0 %patch0 -p0
# nb is already there and more recent
rm -fv po/no.*
pushd ../texi2html-* pushd ../texi2html-*
%patch1 -p0 %patch1 -p0
popd popd
@ -106,37 +105,24 @@ pushd ../texi2roff-*
%patch2 -p0 %patch2 -p0
%patch6 -p1 %patch6 -p1
popd popd
pushd ../help2man-*
popd
%build %build
HOST=%{_target_cpu}-suse-linux HOST=%{_target_cpu}-suse-linux
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe" CFLAGS="$RPM_OPT_FLAGS -pipe"
LDFLAGS="" LDFLAGS=""
CC=gcc CC=gcc
export CFLAGS LDFLAGS CC export CFLAGS LDFLAGS CC
pushd ../help2man-* AUTOPOINT=true autoreconf -fi
./configure --build=$HOST \
--prefix=%{_prefix} \
--mandir=%{_mandir} \
--datadir=%{_datadir} \
--infodir=%{_infodir} \
--enable-nls
make
PATH=${PWD}:${PATH}
export PATH
popd
./configure --build=$HOST \ ./configure --build=$HOST \
--prefix=%{_prefix} \ --prefix=%{_prefix} \
--mandir=%{_mandir} \ --mandir=%{_mandir} \
--datadir=%{_datadir} \ --datadir=%{_datadir} \
--infodir=%{_infodir} \ --infodir=%{_infodir} \
--without-included-gettext \ --without-included-gettext \
--with-catgets \
--enable-nls --enable-nls
make
PATH=${PWD}/makeinfo:${PWD}/util:$PATH PATH=${PWD}/makeinfo:${PWD}/util:$PATH
export PATH export PATH
make
pushd ../texi2html-* pushd ../texi2html-*
./configure --build=$HOST \ ./configure --build=$HOST \
--prefix=%{_prefix} \ --prefix=%{_prefix} \
@ -144,7 +130,6 @@ pushd ../texi2html-*
--datadir=%{_datadir} \ --datadir=%{_datadir} \
--infodir=%{_infodir} \ --infodir=%{_infodir} \
--without-included-gettext \ --without-included-gettext \
--with-catgets \
--enable-nls --enable-nls
make make
popd popd
@ -154,7 +139,6 @@ pushd ../texi2roff-*
popd popd
%install %install
rm -rf %{buildroot}/
make DESTDIR=%{buildroot} \ make DESTDIR=%{buildroot} \
infodir=%{_infodir} \ infodir=%{_infodir} \
htmldir=%{_defaultdocdir}/texi2html install htmldir=%{_defaultdocdir}/texi2html install
@ -180,9 +164,6 @@ pushd ../texi2roff-*
install -m 644 Readme %{buildroot}${doc} install -m 644 Readme %{buildroot}${doc}
install -m 644 copyright %{buildroot}${doc} install -m 644 copyright %{buildroot}${doc}
popd popd
#pushd ../help2man-*
# make DESTDIR=%{buildroot} install
#popd
%find_lang %name %{name}.lang %find_lang %name %{name}.lang
%clean %clean
@ -212,13 +193,13 @@ test -n "%{buildroot}" && rm -rf %{buildroot}
%doc doc/texinfo.tex doc/txi-*.tex %doc doc/texinfo.tex doc/txi-*.tex
%doc %{_defaultdocdir}/texi2html/* %doc %{_defaultdocdir}/texi2html/*
%doc %{_defaultdocdir}/texi2roff/* %doc %{_defaultdocdir}/texi2roff/*
%doc %{_defaultdocdir}/texi2roff/*
%{_bindir}/makeinfo %{_bindir}/makeinfo
%{_bindir}/pdftexi* %{_bindir}/pdftexi*
%{_bindir}/texi* %{_bindir}/texi*
%{_infodir}/texinfo*.gz %{_infodir}/texinfo*.gz
%{_infodir}/texi2html*.gz %{_infodir}/texi2html*.gz
%{_mandir}/man1/makeinfo.1.gz %{_mandir}/man1/makeinfo.1.gz
%{_mandir}/man1/pdftexi2dvi.1.gz
%{_mandir}/man1/texi*.1.gz %{_mandir}/man1/texi*.1.gz
%{_mandir}/man5/texinfo.5.gz %{_mandir}/man5/texinfo.5.gz
%{_datadir}/texinfo %{_datadir}/texinfo
@ -237,17 +218,59 @@ test -n "%{buildroot}" && rm -rf %{buildroot}
%{_mandir}/man1/infokey.1* %{_mandir}/man1/infokey.1*
%{_mandir}/man1/install-info.1* %{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5* %{_mandir}/man5/info.5*
#%file -n help2man
#%defattr(-,root,root)
#%{_bindir}/help2man
#%{_bindir}/pdftexi2dvi
#%{_libdir}/hacklocaledir.so
#%{_datadir}/info/help2man.info.gz
#%{_datadir}/locale/*/LC_MESSAGES/help2man.mo
#%{_mandir}/man1/help2man.1.gz
#%{_mandir}/*/man1/help2man.1.gz
%changelog %changelog
* Sun Jun 15 2008 schwab@suse.de
- Update to texinfo 4.12.
* Language:
. new commands @clicksequence, @click, and @clickstyle for documenting
GUI sequences, and @arrow for the default glyph used.
. new commands @geq{} and @leq{} for the normal >= and <= relations.
* install-info:
. lzma compression supported.
. Much work towards compatibility with Debian's independent
implementation. Changes in behavior:
- new entries are formatted to start at column 34 by default.
- existing entries are replaced by default.
- new sections are alphabetized among existing sections.
- if an entry being removed is the last one in a section, the
section is also removed.
. Also many new options:
--section REGEX TITLE.
--no-indent: disable formatting of new entries.
--menuentry, --name: specify left-hand side of an entry.
--dry-run: alias for --test.
--regex REGEX: renamed from --section regex, adds to all sections
matching REGEX by default.
--add-once: add only to first specified or matching section.
--align COL: start description at column COL.
--calign COL: start continuation lines in description at COL.
--max-width COL: wrap the description at COL.
. New section in the Texinfo manual describing all this.
* Info:
Our goal with these changes to the default interface is to make Info
documents more easily and quickly readable, especially by non-experts.
. the PageUp and PageDown keys move through the whole document by
default, instead of just the current node.
. the h command shows the basic help, and H starts the Info tutorial.
. the newly-bound x command deletes the current window, e.g., within help.
. the scroll-step variable is set to 1 by default, for smooth scrolling.
. the cursor-movement-scrolls-p variable is set to 1 by default, so
link searches look through the whole document.
. regular expression searches are supported, and are the default for
both regular and incremental searches.
. the new R command toggles between regexp and literal-string searches.
. the new variable scroll-last-node controls scrolling at the end of
the last node; by default, it now simply reports there are no more
nodes. To restore the old behavior, set scroll-last-node=Scroll.
. the precise line number specified in index entries is used if available.
. --usage=info shows usage for standalone Info.
. lzma compression supported.
* Distribution:
. language support for no removed/renamed to nb, per Norwegian translators.
. new translation: es.
. bug fixes in make check (and elsewhere).
. gettext 0.17, automake 1.10.1, autoconf 2.62.
* Mon Mar 10 2008 werner@suse.de * Mon Mar 10 2008 werner@suse.de
- Update to texinfo version 4.11 (4.10 was omitted) - Update to texinfo version 4.11 (4.10 was omitted)
* Language: * Language:
@ -466,7 +489,7 @@ test -n "%{buildroot}" && rm -rf %{buildroot}
- Update to texinfo 4.2. - Update to texinfo 4.2.
* Thu Mar 07 2002 schwab@suse.de * Thu Mar 07 2002 schwab@suse.de
- Update to texinfo 4.1. - Update to texinfo 4.1.
* Wed Feb 13 2002 schwab@suse.de * Thu Feb 14 2002 schwab@suse.de
- Fix verbose message of texi2dvi. - Fix verbose message of texi2dvi.
* Thu Jan 24 2002 okir@suse.de * Thu Jan 24 2002 okir@suse.de
- fixed tempfile races in texindex (moved all tempfiles - fixed tempfile races in texindex (moved all tempfiles